function [ Xinv ] = svdInverse( X )
%svdInverse Inversion de la matrice carrée X par svd
[U, S,V]=svd(X);
n=size(X, 1);

Dinv = zeros(n,n);
for i=1:n
    Dinv(i,i)= 1/S(i,i);
end
Xinv = V * Dinv * transpose(U);


end

